C   03/06/83 402190251  MEMBER NAME  C#BNKSYS (FORT)        FORTRAN
c **********************************************************************
c *                                                                    *
c *  mini Data Bank system     by T.TAKAHASHI                          *
c *                                    (1983.5.27/5.29/6.4)            *
c *         initialize          : BNKini                               *
c *         BNK key definition  : BNKdef(key,size)                     * 
c *         assign key to predefined (key & data)                      *
c *                             : BNKeqv(key1,size,key,start_pointer   *
c *         put data            : BNKput(key,size,array)               *
c *         get data            : BNKget(key,size,used_size,array)     *
c *         list key            : BNKlst                               *
c *         dump data to STDOUT : BNKdmp(key,format)                   *
c *         get information     : BNKnum(key,stored_size,maxsize)      *
c *         clear # of data     : BNKclr [clear # of data actualy store*
c *         internal routines   : BNKkey : search key and return index *
c *                                                                    *
c **********************************************************************
c
c  Modifications :
c     1983.6.12  error in BNK_def ( c$num(2,i) was not shifted ) fixed
c                by Taku.
c     1983.6.12  BNK_get warning message is modified by Taku.
c     1983.6.12  error in BNK_eqv ( reference error on the parent's
c                pointer ) is fixed by Taku.
c        2-001 : 8-Nov-1983   Taku
c                  Size of I/O buffer is added to BNK_ini as an optional
c                argument. If this is given, then BNK_izt will be called
c                to initialize for MT I/O.  Otherwise, BNK_izt will not
c                be called, and BNK_ini will work as before.
c                  For further details of BNK_-format MT I/O, please
c                refer to member BNK_#MT, which was written by Taku.
c     1983.11.11 T.Takahashi more information for BNK_get WARNIMG
c     1983.11.11 T.Takahashi correct bug in BNK_put
c     1984. 7.15 T.Takahashi change entry name from COM*** to BNK_***
c     1984. 7.15 T.Takahashi some change for LBL experiment
c     1985. 4.17 R. Itoh     BNK_get WARNING Removed
c     1986. 3.26 R. Itoh     Subscript support
c     1993. 8  8 T.Takahashi remove NARG
c     1993. 8  9 T.Takahashi change from integer buffer to byte buffer
c     1993.12  3 H.Kubo      remove "_" in subroutine names
